# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name leksah-server

%ifarch %ghc_arches_with_ghci
%ifnarch armv7hl
%bcond_without tests
%endif
%endif

Name:           %{pkg_name}
Version:        0.14.3.1
Release:        3%{?dist}
Summary:        Metadata collection for leksah

# License in the LICENSE file is mentioned as GPLV2 while sources specify
# license as GPL.Hence GPL+.
License:        GPL+
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:         leksah-server-attoparsec-conduit.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-HTTP-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-binary-shared-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-executable-path-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-ghc-devel
BuildRequires:  ghc-haddock-devel
BuildRequires:  ghc-hslogger-devel
BuildRequires:  ghc-ltk-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-strict-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
%endif
# End cabal-rpm deps
Requires:       wget, cabal-install

%description
This package provides the interface to GHC-API for leksah.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%prep
%setup -q
cabal-tweak-flag network-uri False
# archs without threaded RTS
%ifarch ppc64 s390 s390x
cabal-tweak-flag threaded False
%endif
%patch0 -p1


%build
%ghc_lib_build


%install
%ghc_lib_install

rm %{buildroot}%{ghc_pkgdocdir}/LICENSE


%check
%cabal_test


%post -n ghc-%{name}-devel
%ghc_pkg_recache


%postun -n ghc-%{name}-devel
%ghc_pkg_recache


%files
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/leksahecho
%{_datadir}/%{name}-%{version}


%files -n ghc-%{name} -f ghc-%{name}.files
%license LICENSE


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files


%changelog
* Thu Jul 23 2015 Jens Petersen <petersen@redhat.com> - 0.14.3.1-3
- use license macro

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar  4 2015 Jens Petersen <petersen@redhat.com> - 0.14.3.1-1
- update to 0.14.3.1
- no longer depend on attoparsec-conduit

* Fri Oct 10 2014 Jens Petersen <petersen@redhat.com> - 0.14.0.0-1
- update to 0.14.0.0
- disable tests on armv7hl

* Fri Oct 10 2014 Jens Petersen <petersen@redhat.com> - 0.12.1.2-17
- tests require ghci

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 16 2014 Jens Petersen <petersen@redhat.com> - 0.12.1.2-15
- update to cblrpm-0.8.11 and enable tests

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Dec 21 2013 Jens Petersen <petersen@redhat.com> - 0.12.1.2-13
- rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 13 2013 Jens Petersen <petersen@redhat.com> - 0.12.1.2-11
- add patch for ghc-7.6 from git
- update to new simplified Haskell Packaging Guidelines

* Mon Feb 25 2013 Jens Petersen <petersen@redhat.com> - 0.12.1.2-10
- rebuild for f19 ghc-gio ABI change

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec  4 2012 Jens Petersen <petersen@redhat.com> - 0.12.1.2-8
- disabled threaded flag on secondary archs without threaded RTS (#870327)

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.12.1.2-7
- update with cabal-rpm

* Tue Oct 02 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.1.2-6
- Rebuild for ghc-ltk and haddock

* Tue Oct 02 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.1.2-5
- Rebuild for ghc-7.4.1

* Sat Aug 11 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.1.2-4
- Rebuild for libffi

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.12.1.2-2
- change prof BRs to devel

* Fri Jun 22 2012 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 0.12.1.2-1
- update to 0.12.1.2

* Sun Jun 10 2012 Jens Petersen <petersen@redhat.com> - 0.12.1.1-1
- update to 0.12.1.1
- depends on strict

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.12.0.5-2
- depend on process instead of process-leksah
- add license to ghc_files

* Sun Mar 18 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.0.5-1
- Package update to 0.12.0.5

* Mon Mar 12 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.0.4-1
- Package update to 0.12.0.4

* Sun Jan 22 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-11
- Update to cabal2spec-0.25.2. Remove dependency on ghc

* Sun Jan 08 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-10
- Rebuild for haskell-platform update

* Sun Dec 18 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-9
- Remove dependency on ghc-leksah-server. Bug 755394.

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.10.0.4-8.2
- rebuild with new gmp without compat lib

* Wed Oct 12 2011 Peter Schiffer <pschiffe@redhat.com> - 0.10.0.4-8.1
- rebuild with new gmp

* Sun Sep 25 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-8
- Update to cabal2spec 0.24.1
- Rebuild for gtk2hs related updates

* Sun Aug 28 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-7
- Rebuild for ghc-hslogger-1.1.5. Upgrade to cabal2spec-0.24.

* Sat Aug 13 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-6
- Fix requires list. Removed haddock. ghc7 ships with new haddock.

* Sun Jun 26 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-5
- Fix requires list to include ghc-leksah-server

* Wed Jun 22 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-4
- Rebuild for ghc-process-leksah update.

* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-3
- Upgrade to cabal2spec-0.23.2

* Sun Jun 5 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-2
- Modified dependencies to match with the cabal file
- Added some packages in requires list

* Sun Apr 17 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-1
- Upgrade to 0.10.0.4, update to cabal2spec-0.22.7.
- License in the LICENSE file is mentioned as GPLV2 while sources specify
- license as GPL.Hence GPL+.

* Sun Apr 17 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0-1
- upgrade to 0.10.0, update to cabal2spec-0.22.5.

* Sat Dec 18 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 0.8.0.8-1
- Modified license and depenedencies.
- Created patch to fix hslogger and ghc dependency.The maximum allowed versions for the respective packages are removed with this patch.

* Sat Dec 18 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.0.8-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.3
